Bug 2086959 - flaky e2e in kube-controller-manager-operator TestLogLevel
Summary: flaky e2e in kube-controller-manager-operator TestLogLevel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-controller-manager
Version: 4.11
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.11.0
Assignee: Filip Krepinsky
QA Contact: zhou ying
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-05-16 21:52 UTC by Filip Krepinsky
Modified: 2022-08-10 11:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-10 11:12:25 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-controller-manager-operator pull 626 0 None open Bug 2086959: e2e: fix flaky TestLogLevel 2022-05-16 21:52:41 UTC
Red Hat Product Errata RHSA-2022:5069 0 None None None 2022-08-10 11:12:37 UTC

Description Filip Krepinsky 2022-05-16 21:52:05 UTC
Description of problem:
changing log level should not test network connections

We are getting 23% failure [rate](https://search.ci.openshift.org/?search=.*TestLogLevel.*&maxAge=336h&context=1&type=bug%2Bjunit&name=e2e-aws-operator&excludeName=&maxMatches=5&maxBytes=20971520&groupBy=job) due to 

```
Unexpected error when reading response body: read tcp 10.128.177.24:47542->184.169.179.200:6443: read: connection reset by peer
```

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 zhou ying 2022-05-23 02:02:55 UTC
could not see the same error after the fix pr merged .

Comment 5 errata-xmlrpc 2022-08-10 11:12:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.11.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5069


Note You need to log in before you can comment on or make changes to this bug.